liblastfm-dev should depend on libqt4-dev

Bug #796176 reported by Christian Lins on 2011-06-12
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
liblastfm (Ubuntu)
Undecided
Unassigned

Bug Description

If one includes "lastfm.h" in a C/C++ program, compiling the program fails, e.g.:

cc -c -Wall src/CoScrobbler.cpp -o src/CoScrobbler.o
In file included from /usr/include/lastfm/Artist:23:0,
                 from /usr/include/lastfm/Album:23,
                 from /usr/include/lastfm/Track:23,
                 from /usr/include/lastfm.h:1,
                 from src/CoScrobbler.cpp:1:
/usr/include/lastfm/global.h:31:20: fatal error: QtGlobal: Datei oder Verzeichnis nicht gefunden

The required Qt header "QtGlobal" (there are more) is in package libqt4-dev, so I suggest to add libqt4-dev as dependency for liblastfm-dev.

Related branches

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package liblastfm - 1.0.0-0ubuntu1

---------------
liblastfm (1.0.0-0ubuntu1) quantal; urgency=low

  * New upstream release
  * Drop Vcs entries from control (was upstream VCS, which is not what the
    fields are supposed to be used for)
  * Don't run tests as they choose to fail
  * Convert do dh7 rules from manual makefile
  * Convert do source format 3 and use xz -9 compression on debian.tar.
  * Bump lib packages to soversion 1 and fix the wildcards to fail on so
    changes
  * Don't start synopsis with article
  * -dev to depend on libqt4-dev (LP: #796176)
 -- Harald Sitter <email address hidden> Tue, 12 Jun 2012 17:12:32 +0200

Changed in liblastfm (Ubuntu):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers